summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2019-07-22 22:56:25 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-07-27 08:06:16 +0700
commite1e07626c9c0a1a8211e7de5b4b2001a9249abdd (patch)
treee224edd0a63d41b3c9cd6892e4648fe901cfef84
parent0f94f17609c4e614ef57496db073e9b773dcb6e6 (diff)
downloadslackbuilds-e1e07626c9c0a1a8211e7de5b4b2001a9249abdd.tar.gz
slackbuilds-e1e07626c9c0a1a8211e7de5b4b2001a9249abdd.tar.xz
system/uhubctl: Added (control the power of compatible USB hubs)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--system/uhubctl/README12
-rw-r--r--system/uhubctl/slack-desc19
-rw-r--r--system/uhubctl/uhubctl.SlackBuild68
-rw-r--r--system/uhubctl/uhubctl.info10
4 files changed, 109 insertions, 0 deletions
diff --git a/system/uhubctl/README b/system/uhubctl/README
new file mode 100644
index 0000000000..9b5480b0cc
--- /dev/null
+++ b/system/uhubctl/README
@@ -0,0 +1,12 @@
+uhuctl is a utility to control USB power per-port on smart USB hubs.
+Smart hub is defined as one that implements per-port power switching.
+
+Some hub give false report (lsusb -v) that they support per-port
+power switching.
+
+It also works for devices that support unbind. Example: you want to
+disconnect a device programmatically, but no physically. In this case
+the usb has still power but the device 'unplugs'.
+
+Original idea for this code was inspired by hub-ctrl.c by Niibe Yutaka:
+http://www.gniibe.org/development/ac-power-control-by-USB-hub
diff --git a/system/uhubctl/slack-desc b/system/uhubctl/slack-desc
new file mode 100644
index 0000000000..ea4df7fdbe
--- /dev/null
+++ b/system/uhubctl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uhubctl: uhubctl (control the power of compatible USB hubs)
+uhubctl:
+uhubctl: uhuctl is a utility to control USB power per-por on smart USB hubs.
+uhubctl: Smart hub is defined as one that implements per-port power switching.
+uhubctl:
+uhubctl: Original idea for this code was inspired by hub-ctrl.c by Niibe Yutaka:
+uhubctl: http://www.gniibe.org/development/ac-power-control-by-USB-hub
+uhubctl:
+uhubctl:
+uhubctl:
+uhubctl:
diff --git a/system/uhubctl/uhubctl.SlackBuild b/system/uhubctl/uhubctl.SlackBuild
new file mode 100644
index 0000000000..04fa6a1781
--- /dev/null
+++ b/system/uhubctl/uhubctl.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Slackware build script for <uhubctl>
+#
+# Michales (clavisound) Michaloudes korgie@gmail.com <2019>
+
+PRGNAM=uhubctl
+VERSION=${VERSION:-2.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/uhubctl/uhubctl.info b/system/uhubctl/uhubctl.info
new file mode 100644
index 0000000000..40cbfaa5e4
--- /dev/null
+++ b/system/uhubctl/uhubctl.info
@@ -0,0 +1,10 @@
+PRGNAM="uhubctl"
+VERSION="2.0.0"
+HOMEPAGE="https://github.com/mvp/uhubctl/"
+DOWNLOAD="https://github.com/mvp/uhubctl/archive/v2.0.0/uhubctl-2.0.0.tar.gz"
+MD5SUM="5c711911d766d76813333c3812277574"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"